#include <iostream>

using namespace std;



int main()
{
    string c,d;
    int a1,a2,x,z,i;
    char y,p;
    cin>>c;
    char c1=c[0];
    char c2= c[1];
    cin>>a1>>a2;
    d="";
    //d=d+c1;
    if(a1<a2)
    {
         x=a1;
         y=c1;
         z=a2;
         p=c2;
    }
    else
    {
        x=a2;
        y=c2;
        z=a1;
        p=c1;
    }
    for(i=1;i<=x;i++)
    {
        d=d+p;
        d=d+y;
    }
    if(z-x==0)
        cout<<d;
    else
    {
        if(z-x==1)
        {
            d=d+p;
            cout<<d;
        }
        else
        {
            cout<<"nemoguce";
        }

    }
    return 0;
}